#include "area_selector.h"
#include <QGraphicsSceneMouseEvent>
#include <QGraphicsPixmapItem>
#include <QPainter>
#include <QDebug>

AreaSelector::AreaSelector(const QRectF &initialRect) : m_innerRect(initialRect),m_hovered(false)
{
    setAcceptHoverEvents(true);
}

QRectF AreaSelector::boundingRect() const {
    return QRectF(
               m_innerRect.left(),
               m_innerRect.top(),
               m_innerRect.width(),
               m_innerRect.height()
           );
}
void AreaSelector::paint( QPainter* painter, const QStyleOptionGraphicsItem*, QWidget* ) {
    painter->setBrush(QBrush(QColor(158,182,255,96)));
    painter->setPen(QPen(QColor(158,182,255,200)));
    painter->drawRect( m_innerRect );

    if( m_hovered ) {
            painter->fillRect( m_innerRect, Qt::darkBlue );
            qDebug()<<"hovered"<<&m_innerRect;


    }
}
void AreaSelector::hoverEnterEvent( QGraphicsSceneHoverEvent* ) {
    m_hovered = true;
    update();

}
void AreaSelector::hoverLeaveEvent( QGraphicsSceneHoverEvent* ) {
    m_hovered = false;
    update();
}

