#ifndef AREA_SELECTOR_H
#define AREA_SELECTOR_H

#include <QObject>
#include <QGraphicsItem>
#include <QGraphicsScene>


class AreaSelector : public QObject,public QGraphicsItem
{
    Q_OBJECT
public:
    explicit AreaSelector(const QRectF &initialRect);
    ~AreaSelector(){}

    QRectF boundingRect() const;
    QRectF getSelectedArea() const{
        return m_innerRect;
    }
    void setSelectedArea(const QRectF &initialRect) {
        m_innerRect=initialRect;
    }
protected:
    void paint( QPainter* painter, const QStyleOptionGraphicsItem* option, QWidget* widget = nullptr );
    void hoverEnterEvent( QGraphicsSceneHoverEvent* event );
    void hoverLeaveEvent( QGraphicsSceneHoverEvent* event );
signals:

public slots:

private:
    QRectF m_innerRect;
    bool m_hovered;

};

#endif // AREA_SELECTOR_H
